Bug 3713 - %undefine undefines everything
%undefine undefines everything
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-24 15:39 EDT by Bill Nottingham
Modified: 2015-01-07 18:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-25 05:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 1999-06-24 15:39:52 EDT
If the line:

%undefine   _fixgroup

is in a spec file, it undefines other macros
(at least %_gzipbin), even if the %undefine
line is commented out. The only way to avoid
this is to remove the line from the spec file.
Comment 1 Jeff Johnson 1999-06-25 05:33:59 EDT
BTW: rpm 3.0 will expand macros even in comment lines.

The symbol hash table was truncated by the deletion of
%_fixgroup. Fixed in rpm-3.0.2-0.8.

Note You need to log in before you can comment on or make changes to this bug.